// AVAILABILE HERE: http://bit.ly/1JxR4vL

/***********************************************************
 * Variables and Control Flow in JavaScript [COMPLETE]
 **********************************************************/

/* DEFINING VARIABLES */
console.log("/* DEFINING VARIABLES */");

var a = "alpha";
let b = "bravo";
const c = "charlie";

console.log(a, b, c);

// Cannot change a const
a = "delta";
b = "echo";
//c = "foxtrot";

console.log(a, b, c);



/* SCOPE */
console.log("/* SCOPE */");

for (var i=0; i<3; i++) {
  console.log(i);
}
console.log(`Undefined i: ${i}`);


for (let j=0; i<3; j++) {
  console.log(j);
}
//console.log(`Undefined j: ${j}`);





/* TYPES */
console.log("/* TYPES */");
let num = 4;
num = "Not a number";
console.log(num);


let numArray = [1, 2, 3, 4, 5];
console.log(typeof(numArray));
console.log(`numArray[3] = ${numArray[3]}`);
numArray[3] = 7;
console.log(numArray);

console.log(numArray.reverse());
console.log(numArray);


let obj = {
  this: "is",
  an: {
    type: "super magic object"
  }
};
console.log(obj["an"]["type"]);




/* CONTROL FLOW */
console.log("/* CONTROL FLOW */");

if(numArray.length > 3) {
  console.log("It's a long array!");
} else {
  console.log("It's a short array!");
}

for (let t of numArray) {
  console.log(t*2);
}

console.log(numArray);
