// AVAILABLE HERE: https://jsbin.com/vecaqo/edit?js,console

/***********************************************************
 * Events and `this` in JavaScript
 **********************************************************/

const emitter = new EventEmitter();
const EVENT_ID = "boom";




/* This behaviour is especially confusing when using classes */
class EventHandler {
  handleEvents(emitter) {
    // TODO: Add implementation
  }
  
  _handleEvent(event) {
    console.log("=== CLASS METHOD ===");
    console.log(this);
    console.log(event);
  }
  
  _handleEventBound(event) {
    console.log("=== BOUND CLASS METHOD ===");
    console.log(this);
    console.log(event);
  }
}


